AC(8)

NAME
ac - login accounting

SYNOPSIS
/usr/etc/ac [ -w wtmp ] [ -p ] [ -d ] [ username ] ...

DESCRIPTION

ac produces a printout giving connect time for each user who has logged in during the life of the current wtmp file. A total is also produced.

The accounting file /var/adm/wtmp is maintained by init(8) and login(1). Neither of these programs creates the file, so if it does not exist no connect-time accounting is done. To start accounting, it should be created with length 0. On the other hand if the file is left undisturbed it will grow without bound, so periodically any information desired should be collected and the file truncated.

OPTIONS

-w wtmp
    Specify an alternate wtmp file.

-p  Print individual totals; without this option, only totals are printed.

-d  Printout for each midnight to midnight period. Any people will limit the printout to only the specified login names. If no wtmp file is given, /var/adm/wtmp is used.

FILES
/var/adm/wtmp

SEE ALSO
login(1), utmp(5V), init(8), sa(8)